JGraph X 1.3.0.0

## com.mxgraph.layout
Class mxEdgeLabelLayout

    java.lang.Object
      com.mxgraph.layout.mxGraphLayout
          com.mxgraph.layout.mxEdgeLabelLayout

All Implemented Interfaces:
  mxIGraphLayout

    public class mxEdgeLabelLayout

extends mxGraphLayout

Field Summary

Fields inherited from class com.mxgraph.layout.mxGraphLayout
`graph, useBoundingBox`

Constructor Summary
`mxEdgeLabelLayout(mxGraph graph)` Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.

Method Summary
`protected void` `avoid(mxCellState edge, mxCellState vertex)`
`void` `execute(java.lang.Object parent)` Executes the layout for the children of the specified parent.
`protected void` `placeLabels(java.lang.Object[] v, java.lang.Object[] e)`

Methods inherited from class com.mxgraph.layout.mxGraphLayout
`getConstraint, getConstraint, getGraph, getVertexBounds, isEdgeIgnored, isUseBoundingBox, isVertexIgnored, isVertexMovable, moveCell, setEdgePoints, setEdgeStyleEnabled, setUseBoundingBox, setVertexLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxEdgeLabelLayout

    public mxEdgeLabelLayout(mxGraph graph)

  Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.

Method Detail

### execute

    public void execute(java.lang.Object parent)

  Description copied from interface: `mxIGraphLayout`
  Executes the layout for the children of the specified parent.

  Parameters:
    `parent` - Parent cell that contains the children to be layed out.

### placeLabels

    protected void placeLabels(java.lang.Object[] v,
                               java.lang.Object[] e)

### avoid

    protected void avoid(mxCellState edge,
                         mxCellState vertex)

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.